oedit変更履歴

ver.1.0.0.0 (2001-06-25)
・リリース

ver.1.0.1.0 (2001-06-26)
<バグ修正>
・Tabのマークが表示されない
・1行の長さが8kbyte以上あるファイルを読みこんだとき，異常終了する
<機能改善>
・オプション画面で，サンプルのテキストエディタをHTMLモードにした
・アプリケーションを関連付けたとき，エクスプローラの右クリックメニューの
 新規作成に，テキストファイルが追加されるようにした

ver.1.0.2.0 (2001-06-27)
<バグ修正>
・オプションでTabを表示を外しても，Tabマークが表示される
<機能改善>
・全角スペースのマークを表示できるようにした(オプションで設定)
・テキストモードでも，キーワードを強調設定できるようにした
 (data\text.txtに設定する)

ver.1.1.0.0 (2001-06-28)
<機能改善>
・検索文字列を強調表示するようにした
・選択範囲の背景色を設定できるようにした
・行の先頭がスペースの場合でも，逆タブ(Shift+Tab)が動作するようにした
・メインメニューに検索メニューを追加して，文字列検索関係のメニューを移動した

ver.1.1.1.0 (2001-06-29)
<バグ修正>
・選択範囲の背景色の設定が保存されない
<機能改善>
・IMEから入力するとき，漢字変換した単位でUndo/Redoできるようにした
・ファイルを開く処理の高速化

ver.1.1.2.0 (2001-07-03)
<バグ修正>
・横スクロールバーが表示されているとき，縦方向のカーソル移動がおかしくなる
・正規表現で検索したとき，検索文字列の強調表示が正しくない
<機能改善>
・ダブルクリックして単語選択した後、そのままドラッグして選択範囲を広げられる
 ようにした
・行番号のクリックで，行全体を選択するようにした

ver.1.1.2.1 (2001-07-04)
<バグ修正>
・Shiftキーを押しながらカーソルキーで範囲選択したとき，選択範囲がおかしくなる

ver.2.0.0.0 (2001-07-11)
<バグ修正>
・囲み文字の中にあるタブが，'・'のような記号で表示される
・起動時に指定されたファイル名が，ダブルクォートで囲まれてなくて，空白が入って
いるときファイルが開けない
・Ctrlキーを押しながらカーソルキーの左右で，単語単位でカーソル移動した後，
 縦方向のカーソル移動がおかしくなる
<機能改善>
・EUC, JISコードに対応
・バージョン情報ダイアログに，URLを記載

ver.2.1.0.0 (2001-07-16)
<バグ修正>
・検索結果がなかったとき，以前の検索文字列のカラー表示がクリアされない
<機能改善>
・検索・置換ダイアログの表示中でも，テキスト編集できるようにした
・自動インデント機能を追加(オプションで設定)

ver.2.1.1.0 (2001-07-17)
<バグ修正>
・WindowsNT4.0/2000で起動できない
・エディタとIMEのフォントサイズが違うときがある
<機能改善>
・最近使ったファイルの保存数を設定できるようにした

ver.2.1.1.1 (2001-07-18)
<バグ修正>
・WindowsNT4.0/2000で起動できない

ver.2.1.2.0 (2001-07-21)
<機能改善>
・検索・置換ダイアログを表示したとき，常に検索文字列欄がアクティブになるよう
 にした
・検索ダイアログでEnterキーを押したとき，次を検索を実行するようにした
・置換ダイアログでEnterキーを押したとき，置換を実行するようにした
・検索・置換ダイアログで，検索・置換を実行したとき，エディタにフォーカスが移動
 しないようにした

ver.2.2.0.0 (2001-07-25)
<バグ修正>
・検索ダイアログで，文字列をコンボボックスから選択したとき，検索ボタンが
 アクティブにならない
・全て置換を実行したとき，検索文字列が存在しない場合でも，ファイルが変更
 されたことになる
<機能改善>
・ファイルから検索機能(grep)を追加
・エクスプローラからテキストファイルをダブルクリックして起動するとき，既に
 そのファイルを開いている場合，既に起動しているウィンドウがアクティブになる
 ようにした

ver.2.2.1.0 (2001-07-26)
<バグ修正>
・ファイルから検索機能で，検索フォルダの選択が正しく動作しない
・ファイルから検索機能で，サブフォルダも検索が有効にならない
・ファイルから検索機能で，検索結果をダブルクリックしてファイルを表示したとき，
 検索文字列が強調表示されない
<機能改善>
・ファイルから検索機能で，アイコンがきれいに表示されるようにした
・ファイルから検索機能のウィンドウを，最大化・最小化できるようにした

ver.2.2.2.0 (2001-07-30)
<バグ修正>
・漢字コードの自動認識が動作しない
<機能改善>
・前回利用時のウィンドウ位置で，起動するようにした

ver.2.3.0.1 (2001-08-01)
<バグ修正>
・列番号の表示範囲に，タブのマークなどが表示される
<機能改善>
・クリッカブルURLに対応

ver.2.3.1.0 (2001-08-07)
<バグ修正>
・複数ファイルをドロップして起動したとき，ファイル名がショートネームになる
<機能改善>
・拡張子が.shtmlのファイルを，HTMLファイルとして認識するようにした
・複数のファイルをドロップしたとき，ファイルの数だけウィンドウを起動して，
 ファイルを開けるようにした
・エディタの右クリックメニューに，高度な編集メニューを追加
・高度な編集メニューに，コメントを挿入，コメントを削除メニューを追加

ver.2.3.3.0 (2001-08-13)
<バグ修正>
・IMEでCtrl+BSでの再変換操作が，正しく動作しない
<機能改善>
・タイトルバーにファイルのフルパス名を表示するようにした
・高度な編集メニューに、>を削除メニューを追加
・複数行選択していない場合でも，行の先頭を選択していれば，コメント挿入・削除
 などのメニューを利用できるようにした

ver.2.3.6.0 (2001-08-20)
<バグ修正>
・正規表現で、[]の中の文字クラス(\wなど)を正しく処理できない
・大きなファイル(バイナリファイル等)を開いたとき、異常終了する
・ファイルから検索の検索結果からファイルを開いた後、次を検索を実行すると、
 検索できない
・クリッカブルURLのカーソルを表示中に、画面をスクロールしたとき、通常の
 カーソルに戻らない
<機能改善>
・印刷ダイアログで、１ページに出力可能な文字数を表示するようにした
・mailto:がつかないメールアドレスについても、クリッカブルURLに対応した
・メインメニューの検索、ツールにアクセラレータキーを設定した
・ファイルから検索(ogrep.exe)は、2重起動できないようにした
・オプションでタイトルバーにフルパス名を表示するか、ファイル名のみ表示するか
 選択できるようにした

ver.2.3.6.1 (2001-08-21)
<バグ修正>
・選択範囲をドラッグしてスクロールするとき、スクロールが速すぎる

ver.2.3.8.0 (2001-09-06)
<機能改善>
・ファイルを開いたとき、そのファイルがあるディレクトリをカレントディレクトリ
 に設定するようにした
・指定行へ移動機能を追加した(Ctrl+G)

ver.2.3.9.0 (2001-09-11)
<バグ修正>
・正規表現の検索で、検索条件の'('が閉じられていないとき、異常終了する
<機能改善>
・正規表現の置換で、置換文字列に改行(\n)及びタブ(\t)を指定できるようにした

ver.2.4.0.0 (2001-09-20)
<バグ修正>
・逆タブ(Shift+Tab)で，Tab数分のスペースが削除されない
・正規表現の置換で、文字列の"\n"に置換できない
・拡張子の対応づけが，WindowsNTで設定できないバグを修正
<機能改善>
・オプション設定で，TabキーでTab数分のスペースを挿入できるようにした
・ファイルから検索機能で，エディタで選択中の文字列が検索条件の初期値に設定
 されるようにした
・拡張子の対応付けで，アイコンの登録方法を改善

ver.2.5.0.0 (2001-09-21)
<機能改善>
・任意の拡張子を対応付けできるようにした(ツール→関連付けメニュー)
・拡張子の対応付けで，登録するアイコンをoedit.exeと違うものにした

ver.2.5.0.1 (2001-09-25)
<バグ修正>
・オプションダイアログで設定タブを選択したとき、エラーメッセージが表示される
<機能改善>
・オプションの設定後、すぐにレジストリに保存するようにした

ver.2.5.0.3 (2001-10-02)
<バグ修正>
・ファイルから検索で，サブフォルダを検索するとき，フォルダ名の表示が正しくない
<機能改善>
・ファイルから検索で，キャンセルダイアログを大きくした

ver.2.5.1.0 (2001-10-05)
<機能改善>
・他のプロセスがファイルを使用しているときでも，ファイルを開けるようにした

ver.2.5.3.0 (2001-10-15)
<バグ修正>
・キーワードファイルに，64文字以上のキーワードを設定すると，異常終了する
・ファイル→開くメニューから，ファイルサイズ0のファイルを開けない
<機能改善>
・Ctrl+InsertでCopy，Shift+InsertでPaste，Shift+DeleteでCutできるようにした

ver.2.5.3.1 (2001-10-16)
<バグ修正>
・標準ツールバーを表示していないとき，変更フラグが正しく表示されない
・ファイルの保存が失敗したとき，変更フラグがとれてしまう

ver.2.5.4.0 (2001-10-19)
<バグ修正>
・文字列の置換を実行したとき，変更フラグが正しく表示されない
<機能改善>
・文字列の検索で，ファイルの最後まで検索したとき，検索を続けるかどうかの
 メッセージを表示するようにした(オプションで設定)
・前回利用時の編集モードで起動するようにした
・行番号のクリックなど，行単位で選択するとき，改行も含めて選択するようにした

ver.2.5.5.0 (2001-10-22)
<バグ修正>
・行番号のクリックで行全体を選択したあと，選択範囲を広げたとき，選択範囲の
 表示がおかしくなる
<機能改善>
・右クリックでカーソルが移動するようにした
・エディタの高度な編集メニューで，インデントやコメント挿入の機能などは，
 選択範囲がなくても実行できるようにした(現在の行に対して実行する)

ver.3.0.0.0 (2001-10-24)
<機能改善>
・キー割り当てをカスタマイズできるようにした

ver.3.1.0.0 (2001-10-25)
<バグ修正>
・ショートカットキーが割り当てられたメニューが，使えなくなる
<機能改善>
・矩形選択ができるようにした

ver.3.1.1.0 (2001-10-26)
<バグ修正>
・選択範囲の置換を実行したとき，選択範囲以外の文字も置換することがある
・ファイルから検索機能で，検索結果のファイル名をダブルクリックしたとき，
 ファイル名に'('などが含まれていると，正しく表示できない
<機能改善>
・矩形選択の範囲へ，ペーストできるようにした

ver.3.1.2.0 (2001-10-28)
<バグ修正>
・キー割り当てを変更したとき，メニューに反映されない
<機能改善>
・クリッカブルURLで，"www."に対応した

ver.3.3.0.0 (2001-11-01)
<バグ修正>
・トリプルクリックで，行全体を選択しない
<機能改善>
・ブックマーク機能を追加
・ルーラの色を設定できるようにした
・現在行にアンダーラインを表示できるようにした(オプションで設定)

ver.3.4.0.0 (2001-11-06)
<バグ修正>
・矩形選択時に選択範囲の置換を実行したとき，正しく置換できない
<機能改善>
・括弧や演算子の色を設定できるようにした
・上書き編集ができるようにした

ver.3.4.1.0 (2001-11-08)
<機能改善>
・常に手前に表示機能を追加

ver.3.5.0.0 (2001-11-16)
<バグ修正>
・印刷ダイアログでプリンタの選択ができないときがある
・印刷時にget_printer_dcエラーが出るのを回避
・コメントや""の中などに括弧がある場合，括弧の対応表示が正しくできない
・選択範囲が単一行のとき，Tabを入力すると，行全体が消えてしまう
<機能改善>
・Undo/Redoの回数を無制限にした
・引数に存在しないファイル名を渡されたとき，空のデータで起動するようにした
・編集された行の先頭にマークをつけられるようにした
・上書きモードのとき，カレットの幅が大きくなるようにした
・インデントモードにスマートインデントを追加(C++/Java用)
・オプションダイアログに，編集タブを追加
・印刷機能で，行番号を印刷できるようにした

ver.3.5.1.0 (2001-11-19)
<バグ修正>
・トリプルクリックで行選択したあと，マウスをドラッグしても選択範囲が広がらない
・ブックマークが現在カーソルがある行だけに設定されているとき，ブックマーク
 への移動が実行できない
・ファイル保存したとき，余計なUndoデータが作成される
<機能改善>
・スマートインデントの動作を改善
・行を折り返して表示するとき，行の先頭でない場所にも編集マークを表示するよう
 にした
・マウスで範囲選択したとき，選択範囲のテキストをクリップボードにコピーする
 機能を追加(オプションで設定)

ver.3.5.2.0 (2001-11-21)
<機能改善>
・高度な編集メニューにTab<->スペース変換の機能を追加

ver.3.5.3.0 (2001-11-22)
<機能改善>
・矩形選択の動作を改善。行末を超えて範囲選択できるようにした。

ver.3.5.4.0 (2001-11-26)
<バグ修正>
・折り返し表示にしているとき，テキストが正しく表示されなくなる
・置換処理が遅い
<機能改善>
・編集中の行が，画面の下端から離れて表示されるようにした

ver.3.5.4.1 (2001-11-27)
<バグ修正>
・選択範囲を削除したとき，異常終了するときがある
・ogrepで，ファイルの最終行に一致する文字列がある場合，無限ループになる

ver.3.5.5.2 (2001-12-03)
<バグ修正>
・行の途中で改行したとき，文字が化けるときがある
・キーワード補完したとき，スクロールバーが調整されない
<機能改善>
・ファイルを開く処理を高速化

ver.3.6.0.0 (2001-12-09)
<機能改善>
・キーワードを２種類設定できるようにした
・キーワード設定のマニュアルを追加(doc\keyword.txt)

ver.3.6.1.0 (2001-12-10)
<バグ修正>
・大文字のキーワードが補完できないバグを修正。

ver.3.6.2.0 (2001-12-11)
<バグ修正>
・スマートインデントで，コメントを閉じた直後に改行したとき，行頭のスペースが
 消えてしまう
<機能改善>
・範囲選択時に左矢印キーを押したときは，選択範囲を解除後，カーソルが選択開始
 位置に移動するようにした(右矢印のときは，選択終了位置に移動)

ver.3.6.2.0 (2001-12-12)
<バグ修正>
・トリプルクリックの後，４回目をクリックしたとき，選択範囲がおかしくなる

ver.3.6.3.0 (2001-12-17)
<バグ修正>
・スマートインデントで，コメントの後や'{'入力時のインデントが正しくない

ver.3.6.3.1 (2001-12-18)
<バグ修正>
・特定のアプリケーションでコピーしたデータが，貼り付けできない

ver.3.6.3.2 (2001-12-20)
<バグ修正>
・特定のアプリケーションでコピーしたテキストが，貼り付けできない
 (ver.3.6.3.1で対応しきれてなかった)
<機能改善>
・全て置換を実行したとき，カーソル位置が移動しないようにした

ver.3.6.5.0 (2001-12-21)
<バグ修正>
・１行が長いファイル(１行あたり300kb程度)が，右端で折り返すモードのとき
 開けない

ver.3.6.6.0 (2001-12-25)
<バグ修正>
・文字コードを指定して読みなおしたとき，画面が更新されない
・クリッカブルURLで，[]で囲まれたURLや，URLの後に全角文字があるケースに対応
<機能改善>
・C++/Java/Perlで，'[]'を演算子として扱うようにした

ver.3.7.0.0 (2001-12-26)
<バグ修正>
・'＝@'が化けて表示される
<機能改善>
・キーボードマクロ機能を追加
・選択範囲を次(前)のブックマークまで移動する機能を追加(キー割り当てで使用可能)
・ひとつのメニューに２つ以上のショートカットキーが割り当てられているとき，
 全てのショートカットキーをメニューに表示するようにした

ver.3.7.0.1 (2002-01-07)
<バグ修正>
・行番号を右クリックしてメニューを表示したとき，マウスを動かすと選択範囲が
 広がってしまう
・WinNTで，キーボードマクロが動作しない
・各行の100文字目が化けるときがある

ver.3.7.1.1 (2002-01-09)
<バグ修正>
・WinNTで，キーボードマクロにショートカットキーが記録されない
<機能改善>
・右クリックメニューを表示中に，メニューの外で右クリックしたとき，メニューが
 移動するようにした

ver.3.7.1.2 (2002-01-14)
<バグ修正>
・全角文字を入力したとき，表示がおかしくなる

ver.3.7.1.3 (2002-01-15)
<バグ修正>
・各行の100文字目が化けるときがある

ver.3.7.1.4 (2002-01-15)
<バグ修正>
・各行の100文字目が化けるときがある

ver.3.7.2.0 (2002-01-16)
<機能改善>
・ブラウザで確認機能で，拡張子が.shtmlのファイルに対応

ver.3.7.4.0 (2002-01-21)
<機能改善>
・色コードの入力機能を改善
・インデントモードがスマートインデントのとき，':'入力時の処理を高速化
・メニューの並び順を整理

ver.3.7.5.0 (2002-01-22)
<バグ修正>
・HTMLモードで，本文の中にダブルクォートが現れたとき，以降の色分け表示が
 おかしくなる
<機能改善>
・ブラウザの確認機能で，NetscapeとInternetExplorerで確認できるようにした

ver.3.7.6.0 (2002-01-25)
<バグ修正>
・行を折り返さないで表示しているとき，文字が化けるときがある
・複数行のテキストをペーストしたとき，画面表示がおかしくなるときがある
・URLに()が使用されているとき，クリッカブルURLが使えない
<機能改善>
・IMEで入力中に，カーソルが行の折り返し位置にきたとき，変換中の文字が次の
 行に表示されるようにした
・スマートインデントで，"::"を入力したときの動作を改善
・右クリックメニューに，リンクを表示，リンクをコピーを追加

ver.3.7.6.1 (2002-01-28)
<バグ修正>
・右クリックしたとき，異常終了するときがある

ver.3.7.7.0 (2002-01-31)
<バグ修正>
・印刷ダイアログで，「行番号を出力する」を変更したとき，出力できる桁数が
 正しく表示されない
<機能改善>
・印刷ダイアログから，プリンタのプロパティを表示して設定出来るようにした
・文字の検索でファイルの最後まで検索したときに表示されるメッセージで，
 ESCキーでキャンセルできるようにした

ver.3.7.8.0 (2002-02-01)
<バグ修正>
・WindowsNTで，プリンタのプロパティが利用できない
・印刷で，Tabが化ける
・タブストップの値が16より大きいとき，正しく表示できない
<機能改善>
・正規表現の検索で，検索条件に'\n'を使用できるようにした(検索条件の末尾のみ)
・自動インデントの動作を改善

ver.3.7.9.0 (2002-02-04)
<バグ修正>
・正規表現で，検索条件の'$'が正しく動作しない
<機能改善>
・検索・置換ダイアログで，正規表現・大文字小文字の条件を保存するようにした
・メニューで，ダイアログが開くメニューについて，'...'を追加

ver.3.8.0.0 (2002-02-06)
<機能改善>
・正規表現による検索・置換で，後方参照(\1, \2, \+など)に対応
・Perl5の拡張正規表現の一部に対応
・正規表現で，文字クラス\wに'_'を含めるようにした
・全て置換を実行したとき，置換件数を表示するようにした

ver.3.8.1.0 (2002-02-07)
<バグ修正>
・シングルクォートの後に，「・」が表示される
・正規表現の検索で，特定の検索条件で無限ループになる
・逆インデントしたとき，各行の先頭文字に色が付く
<機能改善>
・全て置換を実行したとき，置換件数をステータスバーに表示するようにした
・検索で，ファイルの先頭・末尾まで検索したとき，ステータスバーにメッセージを
 表示するようにした
・検索で，見つからなかったときBeep音を鳴らすようにした
・正規表現による置換で，後方参照は$1, $2などの形式にも対応

ver.3.8.1.1 (2002-02-08)
<バグ修正>
・正規表現の検索・置換で，'$', '^'が正しく処理できない

ver.3.8.2.0 (2002-02-12)
<バグ修正>
・正規表現で，<.+?>を正しく検索できない
<機能改善>
・全て選択を実行したとき，カーソル位置が移動しないようにした
・行のソート機能で，選択範囲の末尾が行の先頭の場合，その行はソート対象に
 しないようにした

ver.3.9.0.0 (2002-02-18)
<バグ修正>
・オプションダイアログがフリーズするバグを修正。
<機能改善>
・正規表現の検索処理を，全面的に書き換えた。(NFAエンジンに変更)

ver.3.9.1.0 (2002-02-19)
<バグ修正>
・ogrepで，ネットワーク上にあるファイルが，検索結果のダブルクリックで
 表示できない
<機能改善>
・スマートインデントの動作を改善
・縦スクロールバーは，常に表示するようにした
 (スクロールバーの表示／非表示で画面がちらつくため)
・キー割り当て可能な機能に，現在行の削除，カーソル位置の後ろを削除，
 最終編集位置に移動を追加

ver.3.9.2.0 (2002-02-20)
<バグ修正>
・縦スクロールバーが無効のとき，ホイールマウスでスクロールできてしまう
・縦スクロールバーが無効のとき，Ctrl+PageDownなどでスクロールさせようとすると
 異常終了する
<機能改善>
・前回終了時に最大表示していたとき，最大表示で起動するようにした
・上書きモードのとき，文字の幅に合わせてカレットの幅を調整するようにした
・ブラウザで確認(IE)メニューを，キー割り当てできるようにした
・キー割り当て可能な機能に，現在行のカット，現在行のコピー，現在行の下に
 貼り付け，現在行の上に貼り付けを追加
・現在行の削除機能で，最終行の処理を改善

ver.3.9.3.0 (2002-02-22)
<バグ修正>
・正規表現の置換で，検索条件に改行を含むとき，正しく動作しない
・WindowsNT/2000で，関連付けの削除が動作しないときがある
<機能改善>
・関連付け機能で，InternetExplorerのソースを表示するエディタに設定できるよう
 にした

ver.3.9.4.0 (2002-02-25)
<機能改善>
・印刷時のフォントを設定できるようにした

ver.3.9.4.1 (2002-02-26)
<バグ修正>
・ファイル中に存在しない文字列で全て置換を実行したとき，異常終了するときがある

ver.3.9.5.0 (2002-03-01)
<バグ修正>
・行末より右側でトリプルクリックしたとき，下の行が選択される
<機能改善>
・カラー選択ダイアログを表示中も，エディタを利用できるようにした
・カラー選択ダイアログで，色をダブルクリックしたとき，エディタに挿入される
 ようにした
・メインメニューに，ウィンドウメニューを追加
 ショートカットキーで，oeditのウィンドウを切り替えられるようにした

ver.3.9.6.0 (2002-03-04)
<バグ修正>
・カラー選択ダイアログで，パレットを白色に設定できない
<機能改善>
・カーソル移動の操作に，ウィンドウの左端(右端)へ移動を追加
・折り返し表示の時の，カーソルの上下移動の動作を改善

ver.4.0.0.0 (2002-03-07)
<バグ修正>
・置換ダイアログで次を検索を実行したとき，置換文字列が変更されるときがある
・タブがある行で，クリッカブルURLの位置がずれてしまう
・ファイルを保存したときに，画面がスクロールするときがある
・タブでスペースを挿入する設定のとき，スマートインデントの動作がおかしい
・タブでスペースを挿入する設定のとき，Tabがあるファイルを編集すると，
 Undoデータが壊れるときがある
・自動インデント時，行の先頭で改行したときにインデントが消える
<機能改善>
・UNICODE/UTF-8のファイルに対応
・エディタを高速化
・キー割り当てダイアログで，機能リストに現在の設定を表示するようにした
・デフォルトのキー割り当てを変更
・ファイルメニューに，読みなおす，文字コードを自動検出して読みなおすを追加
・ファイルを読みなおす機能を実行したとき，変更を破棄して読みなおすか確認する
 ようにした
・タブでスペースを挿入する設定のときでも，Tab入りテキストをペーストしたときは，
 Tabが入力されるようにした

ver.4.0.1.0 (2002-03-08)
<バグ修正>
・Tabのマークが表示されない

ver.4.0.4.0 (2002-03-14)
<バグ修正>
・「検索文字列の強調表示を解除」が正しく動作しない
<機能改善>
・IMEの再変換に対応。(Win2000/IME2000, Win98/IME98で確認)
・キー割り当て可能な機能に，単語選択を追加。
・現在行に線を表示の設定で，線とアンダーバーが重ならないようにした。

ver.4.0.4.2 (2002-03-18)
<バグ修正>
・文字列を選択中に，文字列検索を実行したとき，選択中の文字列が検索ダイアログに
 設定されない
・カーソル位置の文字が'ー'のとき，単語選択で次の単語が選択されてしまう
<機能改善>
・IMEで変換中にエディタをクリックすると，変換確定になるようにした
・行間の設定が0のときでも，現在行の線が表示できるようにした

ver.4.0.4.3 (2002-03-27)
<バグ修正>
・文字コードを指定して読みなおすが動作しないバグを修正。

ver.4.0.5.0 (2002-04-05)
<機能改善>
・リテラル内や３項演算子に':'を入力した時と，'}'のある行を改行した時のスマート
 インデントの動作を改善

ver.4.0.6.0 (2002-04-17)
<機能改善>
・拡張子が.jsのファイルは，JAVAモードで開くようにした
・新しいウィンドウを開くとき，タスクバーに隠れないようにした
・perlモードで，'$'で始まる単語は，キーワード２の色で表示するようにした
・SQLモードで，':'を演算子の色で表示するようにした

ver.4.0.6.2 (2002-04-24)
<バグ修正>
・改行を削除する置換を実行したとき，異常終了するときがある
・タブでスペースを挿入する設定のとき，複数行を選択してTabを入力するとタブが
 挿入される
・タブでスペースを挿入する設定のとき，タブの混じった行でTabを入力すると
 インデントがおかしくなる
・選択範囲が単一行のとき，Tabを入力すると，行全体が消えてしまう

ver.4.0.7.0 (2002-05-07)
<バグ修正>
・範囲選択して検索ダイアログを表示したとき，範囲選択したテキストで初期化
 されないときがある
・正規表現で検索しようとしたとき，正しい正規表現を入力しているのに，
「不正な正規表現です」が表示される

ver.4.0.7.2 (2002-05-13)
<バグ修正>
・ネットワーク上にあるファイルに，上書き保存できないときがある
<機能改善>
・HTMLモード以外でも，カラー選択ダイアログを利用できるようにした

ver.4.0.7.3 (2002-05-16)
<バグ修正>
・正規表現で，大文字小文字を区別しないとき，大文字の文字クラス(\D,\Wなど)が
 使用できない。
・正規表現による置換で，文字クラスの否定([^a]*など)を使用したとき，改行まで
 置換される
・正規表現による置換で，検索文字列と置換文字列に改行があるとき，置換されない
 行が発生する
 
ver.4.0.8.0 (2002-05-23)
<バグ修正>
・Ctrlキーを使ったショートカットキーにキーボードマクロの再生を割り当てても，
 再生できない
<機能改善>
・ファイルを名前を付けて保存するとき，指定したファイル名に拡張子が無い場合，
 編集モードの拡張子を付けるようにした

ver.4.0.9.0 (2002-05-31)
<バグ修正>
・Ctrlキーを使ったショートカットキーに，キーボードマクロ再生を割り当てたとき，
 動作がおかしくなる
・印刷ダイアログで，「行番号を出力する」を変更したとき，出力できる桁数が
 正しく表示されない
<機能改善>
・印刷で，日時を出力できるようにした。

ver.4.0.9.1 (2002-06-03)
<バグ修正>
・キー割り当てで，100以上のキーを割り当てると起動できなくなる

ver.4.0.9.3 (2002-06-12)
<バグ修正>
・改行コードが\rのファイルが開けないときがある
<機能改善>
・マウスで範囲選択するとき，マウスがウィンドウ内にある場合，横スクロール
 しないようにした

ver.4.1.2.0 (2002-07-02)
<機能改善>
・キーボードマクロをファイル保存・読込できるようにした
・URLを右クリックしてリンク先を表示する機能で，ブラウザの指定や，新しい
 ウィンドウで開くかを指定できるようにした

ver.4.1.4.0 (2002-07-15)
<バグ修正>
・編集モードをテキストモードに切り替えたとき，コメントの色がクリアされない
・Windows2000のネットワークプリンタで，プリンタの設定が反映されない
・単語単位でカーソル移動した直後に，文字を入力するとUndoデータがおかしくなる
<機能改善>
・コマンドラインから，ファイル名を指定して起動できるようにした
・印刷画面のプリンタ設定ボタンの名前を，「プロパティ」に変更
・印刷画面でプリンタの設定を変更したとき，他のアプリケーションに影響しないよう
 にした

ver.4.1.5.0 (2002-07-25)
<機能改善>
・エディタの表示処理を高速化。

ver.4.1.5.3 (2002-08-20)
<バグ修正>
・パスにスペースが含まれるファイルを複数ドラッグしたとき，異常なパスエラーが
 発生する
<機能改善>
・キー割り当て可能な機能に，行の結合を追加

ver.4.1.5.4 (2002-09-24)
<バグ修正>
・起動時のディレクトリの設定が，動作しない

ver.4.1.6.0 (2002-09-26)
<機能改善>
・ホイールマウスのスクロール量を，設定できるようにした

ver.4.1.7.0 (2002-10-01)
<バグ修正>
・正規表現の検索で，検索条件に改行を含むとき，正しく検索できない
<機能改善>
・メインメニューに，再描画メニューを追加

ver.4.1.8.0 (2002-10-02)
<機能改善>
・矩形選択でコピーしたデータは，矩形でペーストするようにした

ver.4.2.1.0 (2002-10-29)
<機能改善>
・キーワード補完で，補完候補をウィンドウ表示するようにした
・ペーストの処理を高速化
・キーボードマクロのファイル保存／読込で，マクロ用のディレクトリを覚えて
 おくようにした
・選択範囲がないときに，行コピーするかどうかを，オプションで設定可能にした

ver.4.2.1.1 (2002-10-31)
<バグ修正>
・正規表現の置換で，２バイト文字を含むテキストに対して，後方参照を使った置換を
 実行したとき，正しく置換できなかったり，異常終了するバグを修正。
<機能改善>
・検索・置換ダイアログの，「大文字・小文字を区別する」，「正規表現」などに
 アクセスキーを設定
・ogrepのチェックボックス，ボタンなどにアクセスキーを設定

ver.4.2.2.0 (2002-11-07)
<バグ修正>
・ネットワークドライブ上の複数のファイルを，ショートカットにドロップして起動
 したとき，ファイルが開けない
<機能改善>
・折り返さないモードで，行を選択してTABを入力したとき，行末に横スクロール
 しないようにした
・ウィンドウタイトルに表示されるファイル名が，ショートファイル名にならないよう
 にした

ver.4.2.3.0 (2002-11-08)
<機能改善>
・オプション設定で，キーワード補完ウィンドウをOFFにできるようにした
 (旧バージョンのキーワード補完になる)

ver.4.2.4.0 (2002-11-15)
<機能改善>
・選択範囲の文字列で検索する機能を追加(キー割り当てで利用可能)
・行を折り返さない設定で検索したとき，検索結果が画面内に表示されるようにした

ver.4.2.4.1 (2002-11-19)
<バグ修正>
・正規表現で検索したとき，タブを含む行のカラー表示がずれる

ver.4.2.4.2 (2002-11-20)
<バグ修正>
・カーソルの左移動で，2バイト文字の中央にカーソルが移動してしまうときがある

ver.4.2.5.2 (2002-11-26)
<バグ修正>
・行を折り返さない設定で，複数行のテキストをペーストしたとき，横スクロールバー
 の長さが変更されない
<機能改善>
・エディタを高速化
・半角文字の間をクリックしたとき，カーソル位置がずれないように調整

ver.4.2.5.3 (2002-11-27)
<機能改善>
・TEXTモードのキーワードは，大文字小文字を区別しないようにした

ver.4.2.5.4 (2002-12-05)
<バグ修正>
・折り返し表示モードで長い行を連結したとき，行の表示がおかしくなる

ver.4.3.0.6 (2002-12-24)
<バグ修正>
・C++/Java/Perlで，大文字のキーワードの色が変わらない
・EUC+CR, JIS+CRモードで保存したとき，改行コードが消えるときがある
<機能改善>
・起動オプションで，行番号を指定できるようにした(/r[row])
・起動オプションで，起動時のディレクトリを指定できるようにした(/d [dir_name])
・delete/undo/redoの処理を高速化
・タグジャンプ機能を追加
・perlモードで，'@', '%'で始まる単語は，キーワード２の色で表示するようにした
・矩形選択範囲を，ドラッグ＆ドロップ編集できるようにした
・開くダイアログで，漢字コードを指定できるようにした
・保存ダイアログで，漢字コード，改行コードを指定できるようにした
・ファイルフォーマットの設定機能を削除(保存時に指定できるようになった)

ver.4.3.1.0 (2002-12-25)
<バグ修正>
・/dオプションを指定して起動したとき，エラーが発生する
<機能改善>
・改行マークの位置を調整
・高度な編集メニューに，行末の空白を削除を追加

ver.4.3.1.2 (2003-01-09)
<バグ修正>
・複数行選択後，文字を入力したとき，不安定になる
・背景が白以外のとき，列番号の線の下に白い線が表示される
・保存ダイアログで，ファイルの種類が「全てのファイル(*.*)」になっているとき，
 エラーメッセージが表示される

ver.4.3.2.0 (2003-01-14)
<バグ修正>
・ドラッグ＆ドロップ編集で，ドロップ位置と違う場所に移動するときがある
<機能改善>
・半角スペースを記号表示できるようにした

ver.4.3.2.1 (2003-01-15)
<バグ修正>
・行を削除したとき，メモリが再利用されない
・ファイルから検索(ogrep)で，連続して検索実行したとき，消費メモリが増えていく

ver.4.3.3.0 (2003-01-27)
<機能改善>
・印刷ダイアログでプリンタの設定に失敗したときは，印刷を実行できないようにした
・ファイル保存ダイアログで，拡張子の無いファイル名を指定したとき，ダイアログで
 選択中のファイル種類の拡張子が，自動的に追加されるようにした

ver.4.3.3.1 (2003-01-28)
<バグ修正>
・行を選択して改行を入力すると，表示がおかしくなる
・補完ウィンドウで，選択中の行の背景色が変わらない
<機能改善>
・「選択範囲の文字列で検索」を実行した時に，何も選択されていなければ
 「次を検索」を実行するようにした

ver.4.3.4.0 (2003-02-03)
<バグ修正>
・正規表現を使った検索で，条件に改行(\n)を使ったとき，異常終了するときがある

ver.4.4.0.2 (2003-02-21)
<バグ修正>
・リンクをコピー機能で，URLの前にタブがあると，正しくコピーできない
・行選択してインデントをつけたときや，全て置換などで，編集マークが付かない
<機能改善>
・Shift+Tabでタブを削除したとき，カーソルが行の先頭に移動するようにした
・ウィンドウ分割に対応(上下２分割)

ver.4.4.0.4 (2003-02-25)
<バグ修正>
・行選択してインデントをつけたときや，全て置換などで，編集マークが付かない
・正規表現の検索・置換で，lookahead assertionなどがネストされたとき，
 正しく処理できない
・正規表現の検索・置換で，検索条件に後方参照を使ったとき，検索結果の長さが
 正しくない

ver.4.4.0.5 (2003-02-28)
<バグ修正>
・選択範囲のソートを実行したとき，表示がおかしくなる
・すでにoeditで開いているファイルを開こうとしたとき，複数のoeditが起動する
・ogrepの検索結果から，oeditを起動したとき，正しい位置にカーソルが移動しない

ver.4.4.0.6 (2003-03-03)
<バグ修正>
・選択範囲のソートを実行したとき，表示がおかしくなる

ver.4.4.0.7 (2003-03-07)
<バグ修正>
・行を折り返す長さと同じ長さの文字列を貼り付けたとき，カーソル位置が不正な
 位置にくる

ver.4.4.1.0 (2003-03-10)
<バグ修正>
・正規表現の置換で，検索文字列に'$'を指定して，置換文字列に改行を使うと，
 無限ループになる
・すでにoeditで開いているファイルを開こうとしたとき，複数のoeditが起動する
・ウィンドウを分割表示中に，カーソルを移動して横スクロールしたとき，
 アクティブでない方のウィンドウが正しく描画されない
<機能改善>
・編集メニューに，日付と時刻を追加

ver.4.4.2.0 (2003-03-11)
<機能改善>
・キーワード補完で，入力中の文字の大文字小文字に関係なく，補完候補が表示される
 ようにした
・オプションで，新規作成ファイルのデフォルトの文字コード，改行コードを設定
 できるようにした

ver.4.5.0.0 (2003-03-12)
<機能改善>
・半角−全角変換機能

ver.4.5.0.2 (2003-03-14)
<バグ修正>
・半角−全角変換後に，選択範囲がずれてしまう
・全角→半角変換で，全角ひらがなが半角カタカナに変換されてしまう
・すでにoeditで開いているファイルを開こうとしたとき，oeditのウィンドウが
 最小化されていると，アクティブにならない
・正規表現の置換で，検索条件に改行を含むとき，正しく置換できない

ver.4.5.1.0 (2003-03-18)
<機能改善>
・オプションの設定タブを２つに分割
・オプションで，起動時にIMEを有効にできるようにした

ver.4.5.2.0 (2003-03-19)
<機能改善>
・オプションで，ファイルオープン時の文字コードを設定できるようにした
・先頭の空白を削除，行末の空白を削除機能で，全角空白も削除するようにした

ver.4.5.2.1 (2003-03-20)
<バグ修正>
・逆インデントで，行頭のタブがすべて削除されてしまう
・正規表現で，'^'の処理が正しくできない

ver.4.5.3.0 (2003-03-24)
<バグ修正>
・全角→半角変換で，漢字が文字化けする
・正規表現の置換で，検索条件に'^'と改行を組み合わせたとき，正しく置換できない
・テキストが32768行以上あるとき，スクロールバーをドラッグして正しくスクロール
 できない
・タグジャンプを有効にしているとき，１行のデータが長い行でダブルクリックすると，
異常終了する
<機能改善>
・SHIFTキーを押しながら，マウスクリックで範囲選択するときの動作を改善

ver.4.6.0.0 (2003-04-01)
<バグ修正>
・ファイルの最後まで検索したときにメッセージを表示する設定のとき，メッセージ
 表示中にoeditを終了すると，エラーメッセージが表示される
<機能改善>
・ワードラップ／禁則処理
・折り返し位置を記号表示できるようにした

ver.4.6.1.0 (2003-04-02)
<バグ修正>
・正しく折り返し表示できない
<機能改善>
・ウィンドウサイズ変更時や，範囲選択中に，画面がちらつきにくいようにした

ver.4.6.2.0 (2003-04-07)
<機能改善>
・新規作成時の編集モードを設定できるようにした
・ファイル保存ダイアログのファイルの種類を，現在の編集モードと連動するようにした
・ウィンドウ分割時に，下のウィンドウに列番号を表示できるようにした
・メインメニューに，ウィンドウ分割を追加

ver.4.6.3.1 (2003-04-09)
<バグ修正>
・ウィンドウ分割時に，検索ダイアログや置換ダイアログが２つ表示できてしまう
<機能改善>
・高度な編集メニューに，折り返し位置に改行を挿入/改行を削除を追加
・ogrepで，前回利用時のファイルの種類を復元するようにした

ver.4.6.4.0 (2003-04-11)
<機能改善>
・正規表現で，文字クラス([A-Z]など)を使った検索を高速化

ver.4.6.5.0 (2003-04-14)
<バグ修正>
・折り返し位置に改行を挿入を実行したとき，行番号の表示位置がおかしくなる
・ワードラップが無効のとき，禁則処理を有効にしても，禁則処理が動作しない
・行頭・行末禁則処理で，禁則文字に半角文字を指定したとき，表示がずれる
<機能改善>
・スクロールを高速化
・行頭禁則処理で，禁則文字が連続するとき，前の文字を含めて次の行に表示する
 ようにした

ver.4.6.5.1 (2003-04-15)
<バグ修正>
・Win95/98/Meで，ウィンドウサイズを変更したときなどに，表示位置が１行目に
 なってしまう(このバージョンでも，データが32768行以上あるときは発生する)
・横スクロールバーが有効なとき，折り返し記号が，変な位置に表示される

ver.4.6.5.2 (2003-04-19)
<バグ修正>
・ドラッグ＆ドロップで編集するとき，選択範囲の直後にコピーできない
<機能改善>
・ファイルを開くダイアログで，ファイルの種類を「すべてのファイル」にした

ver.4.6.5.3 (2003-04-21)
<バグ修正>
・矩形選択範囲をドラッグ＆ドロップで編集するとき，無限ループになるときがある
・タブのある行のテキストを，矩形選択でコピーするとき，余計なスペースが入る
・正規表現を使った検索で，大文字のテキストが色分け表示されない

ver.4.6.5.4 (2003-04-25)
<バグ修正>
・編集モードがJavaまたはC++のとき，大文字を含むキーワードの補完が動作しない

ver.4.6.5.5 (2003-05-06)
<バグ修正>
・表示する行が2行以下のとき，上下キーやPageUp/PageDownのスクロールが，
 正しく動作しない

ver.4.6.5.7 (2003-05-20)
<バグ修正>
・ThinkPadで，Centerボタン+TrackPointの操作でスクロールできないバグを修正

ver.4.6.6.0 (2003-06-11)
<バグ修正>
・ネットワークドライブのアクセス権が，フルコントロールではないとき，ファイルを
 上書き保存できない
<機能改善>
・自動インデントで，全角空白も対象にした

ver.4.6.6.2 (2003-06-19)
<バグ修正>
・ドラッグ＆ドロップで編集するとき，画面をスクロールすると，カーソルの残像が
 残る
<機能改善>
・カラー選択ダイアログで，C++のフォーマット(RGB(0xff, 0xff, 0xff))にも対応
・行選択したとき，画面がスクロールしないようにした

ver.4.6.6.3 (2003-07-22)
<バグ修正>
・逆インデント(範囲選択でShift+Tab)したとき，編集マークが付かない

ver.4.6.6.5 (2003-07-31)
<バグ修正>
・起動時に，インデントの設定がおかしくなるときがある
・禁則処理がONのとき，行の右端でIMEの文字が表示されないことがある
<機能改善>
・正規表現の検索を高速化
・キー割り当て可能な機能に，改行を挿入を追加
・補完候補ウィンドウが，スクリーンからはみ出さないようにした

ver.4.6.6.6 (2003-08-05)
<バグ修正>
・正規表現の置換で，繰り返しにマッチする文字が33文字以上あるとき，異常終了する

ver.4.6.6.7 (2003-08-08)
<バグ修正>
・行を削除(キー割り当ての機能)を，最終行で実行したとき，異常終了する

ver.4.6.6.8 (2003-08-12)
<バグ修正>
・正規表現の検索条件に，\のみを指定したとき，動作が不安定になる

ver.4.6.7.0 (2003-08-19)
<バグ修正>
・正規表現の検索で，look behind assertionの否定が正しく動作しないケースがある

ver.4.6.7.1 (2003-08-20)
<機能改善>
・正規表現に，バックトラックなしの検索(?>...)を実装
・正規表現の検索で，{n,m}形式の量指定子を使ったときの検索を高速化

ver.4.6.7.2 (2003-08-26)
<バグ修正>
・IME入力中にメインウィンドウを移動したとき，IMEウィンドウが移動しない
<機能改善>
・正規表現を使わない検索で，全角文字でも大文字小文字を区別しないで検索できる
 ようにした
・正規表現の検索を高速化(正規表現の先頭に固定文字列があるとき，Boyer-Moore法を
 使うようにした)

ver.4.6.7.4 (2003-09-01)
<バグ修正>
・正規表現の置換で，後方参照が正しく働かない

ver.4.6.7.5 (2003-09-08)
<バグ修正>
・全角文字があるときに、正規表現の文字クラス(\s, [a-z]等)を使った検索を実行
 すると、異常終了する
・前を検索で，関係ない文字列がヒットする

ver.4.6.7.6 (2003-09-12)
<バグ修正>
・正規表現を使わないとき，置換が正しく動作しないときがある

ver.4.6.8.0 (2003-09-19)
<機能改善>
・ファイルを挿入する機能を追加

ver.4.6.8.1 (2003-10-02)
<機能改善>
・UTF-8ファイルを保存するとき，ファイルの先頭にsignatureを出力するようにした

ver.4.6.8.2 (2003-10-06)
<機能改善>
・Drag&Dropで編集しない設定で，選択範囲内でマウスクリックしたとき，
 現在の選択範囲をクリアして選択を開始するようにした

ver.4.6.8.5 (2003-11-10)
<バグ修正>
・右端で折り返す設定でフォントサイズを変更したとき，折り返し位置が調整されない
・正規表現の検索で，同じ行に検索条件に一致する文字列が複数あるとき，前を検索が
 正しく動作しない
<機能改善>
・ogrepで，相対パスに対応

ver.4.6.8.6 (2003-11-12)
<バグ修正>
・漢字コードがUNICODEのとき，改行コードのCRLFを自動判定できない
<機能改善>
・UNICODE/UTF8で保存するとき，signatureを出力しないようにできるようにした

ver.4.6.8.7 (2003-11-14)
<機能改善>
・キー割り当て可能な機能に，カーソルから前を削除を追加

ver.4.6.8.8 (2003-11-26)
<機能改善>
・キー割り当て可能な機能に，<br>を挿入を追加

ver.4.6.8.9 (2003-12-02)
<バグ修正>
・矩形選択の起点が左下または右上のときに選択範囲の置換を実行すると，先頭行が
 置換されない

ver.4.6.9.0 (2003-12-03)
<バグ修正>
・全角→半角変換で，「ー」「。」「、」が変換されない
<機能改善>
・複数行選択してショートカットキーの行の結合を実行したとき，選択範囲内の行を
 結合するようにした

ver.4.6.9.1 (2003-12-04)
<バグ修正>
・全角→半角変換で，正しく変換されない

ver.4.6.9.2 (2003-12-09)
<バグ修正>
・ファイルを開く処理で，ディレクトリを開放しない
<機能改善>
・キー割り当て可能な機能に，カーソル位置の単語の後ろ(前)を削除を追加

ver.4.6.9.3 (2003-12-11)
<バグ修正>
・ファイルを挿入したとき，1回のUndoで挿入前の状態に戻らないことがある

ver.4.6.9.4 (2003-12-12)
<バグ修正>
・漢字コードがUNICODEのとき，改行コードのCRLFを自動判定できない
<機能改善>
・印刷機能で，前回利用時のプリンタを覚えておくようにした

ver.4.6.9.6 (2004-01-13)
<機能改善>
・全角−半角変換のメニューの表記を変更
・メニューの表記を，半角カタカナから全角カタカナに変更
・ウィンドウ分割中に，括弧の対応表示ができるようにした
・キー割り当て可能なメニューに，括弧の対応を反転表示を追加

ver.4.6.9.7 (2004-02-06)
<機能改善>
・色の選択画面で選択ボタンを押したとき，選択中の色を編集できるようにした

ver.4.7.0.1 (2004-02-23)
<バグ修正>
・http-equivや!doctypeなど，演算子が使われているキーワードの色が変わらない
・正規表現の検索で，'^\n'が検索できない
・ogrepの検索結果をダブルクリックしてファイルを表示するとき，表示先のoeditが
 最小化されていると表示されない
・エディタのショートカットキーで，最後の編集位置に移動したとき，選択範囲が
 解除されない
・行の折り返し位置にTABがあるとき，カーソル移動が正しくできないときがある
・括弧の後にダブルクォートなどの文字があるとき，括弧の対応が反転表示されない
<機能改善>
・括弧の後ろにカーソルがあるときでも，括弧の対応を反転表示できるようにした
・キー割り当て可能なメニューに，対応する括弧に移動を追加

ver.4.7.0.2 (2004-06-07)
<バグ修正>
・UTF-8ファイルを開くとき，文字を重複して読み込んでしまうときがある

ver.4.7.0.3 (2004-06-24)
<バグ修正>
・キーワード補完中に，Shift+矢印キーで範囲選択して文字を入力したとき，
 異常終了する

ver.4.7.0.4 (2004-07-13)
<バグ修正>
・矩形コピーしたテキストの貼付けで，貼付け先の行にタブが含まれているとき，
 正しい位置に貼り付けできない

ver.4.7.2.2 (2004-09-27)
<バグ修正>
・改行を置換したときに，正しく置換されないときがある
<機能改善>
・検索・置換ダイアログを等幅フォントに変更
・正規表現の文字クラスで，[:ascii:]に対応
・テキストモードのとき，対応する括弧に移動機能が使えるようにした
・オプションダイアログの適用ボタンを表示しないようにした

ver.4.7.2.4 (2005-02-15)
<機能改善>
・正規表現の最大スタックサイズを増加(1024→32768)

ver.4.8.0.0 (2005-02-24)
<機能改善>
・正規表現で，選択範囲の先頭／末尾を指定できるようにした
・矩形インデントに対応
・高度な編集メニューに，インデント(Space)/逆インデント(Space)を追加

ver.4.8.2.0 (2005-04-05)
<機能改善>
・現在のカーソル位置に対応する括弧の強調表示する機能を追加(オプションで設定)
・括弧の強調表示で，開き括弧と閉じ括弧の両方を強調表示するようにした
・perlのコメント削除で，1回の操作で#が1つだけ消えるようにした
・選択範囲がないとき，Shift+Spaceで逆インデントにならないようにした

ver.4.8.2.1 (2005-04-27)
<バグ修正>
・最終行が折り返されて表示されているとき，テキストを削除して折り返しが短く
 なると，表示がおかしくなる
・ogrepでバイナリファイルを検索したとき，異常終了するときがある

ver.4.8.4.0 (2005-12-28)
<機能改善>
・矩形選択のとき、ステータスバーに矩形と表示するようにした
・編集モードに関係なく，ブラウザで確認メニューを使用可能にした
・ogrepで、検索フォルダ欄にフォルダをドラッグして、検索フォルダを指定できる
 ようにした

ver.4.8.4.2 (2006-06-29)
<バグ修正>
・エディタの設定で折り返し桁数を0に設定したとき、ハングアップする
・行を折り返して表示中に、矩形選択して選択範囲を削除したとき、行の表示が
 おかしくなる

ver.4.8.4.3 (2006-08-21)
<バグ修正>
・タブストップを0に設定したとき、異常終了する

ver.4.8.5.0 (2006-10-04)
<バグ修正>
・正規表現で'\Z'が正しく検索できない
<機能改善>
・正規表現に条件付き展開を実装

ver.4.8.6.0 (2006-10-11)
<機能改善>
・上書きモードのとき、Enterキーで次の行に移動するようにした
・検索・置換の履歴の数を20に増やした

ver.4.8.6.1 (2006-10-18)
<バグ修正>
・keywordの設定ファイルに、key,21など1,2以外の数字を指定したとき、異常終了する

ver.4.8.6.2 (2006-12-26)
<機能改善>
・文字コードを指定して読み直すメニューに、UNICODE(no signature), 
 UTF8(no signature)を追加した

ver.4.8.7.0 (2007-01-09)
<機能改善>
・ルーラ(行番号、列番号)の現在位置の背景色を、選択範囲の背景色に変更した

ver.4.8.7.1 (2007-01-15)
<機能改善>
・文字コードが判定できなかったとき、オプションの新規作成時の文字コードを
 使用するようにした

ver.5.0.0.0 (2007-02-02)
<機能改善>
・レジストリを出来るだけ使用しないようにした
 - 拡張子の関連付けやIEのソース表示の設定には、従来どおりレジストリを使う
 - エディタの各種設定はoedit.iniに保存する
 - MFCが扱うデータ(最近使ったファイルとツールバーの表示位置)はoedit_local.ini
   に保存する
 - ogrepの設定はogrep.iniに保存する
 - 既存のレジストリの設定は、初回起動時にINIファイルに移行する
   ただしogrepの設定(検索履歴など)は移行しない
 - 既存のレジストリは削除しない (削除したい場合はレジストリエディタで
   HKEY_CURRENT_USER\Software\OGAWA\oeditと、
   HKEY_CURRENT_USER\Software\OGAWA\ogrepを削除すること)
・IME有効時のキャレットの色を設定できるようにした

ver.5.0.0.1 (2007-02-05)
<バグ修正>
・検索を実行したとき、異常終了することがある

ver.5.0.1.0 (2007-02-19)
<機能改善>
・キー割り当て可能な機能に，「前のスペースへ」、「次のスペースへ」、
  「選択範囲を前のスペースへ」、「選択範囲を次のスペースへ」を追加

ver.5.0.2.0 (2007-03-02)
<機能改善>
・キーボードのメニューキーやShift + F10で、右クリックメニューを表示するとき、
  メニューをキャレット付近に表示するようにした

ver.5.0.3.0 (2007-03-08)
<機能改善>
・起動オプションで編集モードを指定できるようにした(詳細はdoc\option.txtを参照)

ver.5.0.4.0 (2007-03-22)
<機能改善>
・マウスクリックによるキャレット位置の指定で、文字の右半分をクリックしたときは
  その文字の右側にキャレットが移動するようにした
・キー割り当て可能な機能に、「行番号表示のON/OFF」と「列番号表示のON/OFF」を
  追加

ver.5.0.4.1 (2007-03-26)
<バグ修正>
・起動オプションを指定して起動したとき、既にファイルを開いている場合でも
  新しいウィンドウで開いてしまう
・起動オプションで編集モードを指定したとき、キーワードのカラー表示が正しく
  動作しないことがある

ver.5.0.5.0 (2007-04-02)
<機能改善>
・文字の検索で、検索結果が見つかったとき検索ダイアログを閉じる設定を追加
  (オプション→設定(2)タブで設定)

ver.5.0.5.1 (2007-04-12)
<バグ修正>
・正規表現で、\S,\W,\Dが全角文字に一致しない

ver.5.0.6.0 (2007-04-26)
<機能改善>
・正規表現の検索で、'\b'の検索を高速化
<バグ修正>
・起動時の引数で、ファイル名に'/'が含まれているとき、正しいファイルを開けない
・正規表現の検索で、(?<=)を使用したときに間違った検索結果を返すときがある

ver.5.1.0.0 (2007-05-08)
<機能改善>
・正規表現の検索で、[]の検索を高速化
・正規表現の検索で、aab|aacのように共通する文字列を含む検索を高速化
・正規表現の検索で、[Z-A]など不正な範囲指定はエラーになるようにした
・Grepダイアログのファイルの種類欄に、ファイル名の文字列を指定できるようにした
  (200704*.sqlなど)

ver.5.1.0.1 (2007-05-11)
<バグ修正>
・IME有効時のキャレットの色を変更したとき、キャレットが消えてしまうときがある

ver.5.1.0.2 (2007-05-14)
<バグ修正>
・起動オプションにaaa.txt /r 20などと指定したとき、aaa.txtではなくaaa.txを
  開いてしまう

ver.5.1.0.3 (2007-05-21)
<バグ修正>
・ファイルから検索機能(Grep)で、大文字小文字を区別するにチェックしたとき、
  無限ループになる

ver.5.1.0.4 (2007-05-24)
<バグ修正>
・正規表現の検索で、0{0,3}を0{1,3}として検索してしまう
・正規表現の検索で、look behind assertの中にlook ahead assertチェックが
  含まれているとき、正規表現の解析時に異常終了する

ver.5.1.0.5 (2007-05-25)
<バグ修正>
・正規表現で()の中に[^(]があるとき、正規表現を正しく解析できない
・正規表現でlook ahead assertの否定の中にlook ahead assertが含まれているとき、
  正しい検索結果にならない

ver.5.1.1.0 (2007-05-28)
<機能改善>
・編集→高度な操作メニューに、重複行を削除メニューを追加

ver.5.1.1.2 (2007-05-29)
<バグ修正>
・重複行を削除メニューで、最終行の重複が削除されない
・選択範囲を正規表現で置換するとき、検索結果が複数行になる場合に、選択範囲を
  超えて置換することがある
・正規表現の検索で、テキストの先頭でlook behind assertチェックが正しく動作
  しないことがある
・正規表現の検索で、(^$\n?)+など文字幅が0になる可能性がある条件のループで、
  正しく検索できない

ver.5.1.2.1 (2007-06-07)
<機能改善>
・ヘルプメニューから，正規表現のマニュアル(regexp.txt)を開けるようにした
・テキストの行数が多いときに行を挿入する処理を高速化
<バグ修正>
・タグジャンプ機能で、ファイルが見つからないときメモリリークする

ver.5.1.4.0 (2007-07-03)
<機能改善>
・正規表現にパターン修飾子(?sS-sS), (?sS-sS:)を追加した
・起動時に複数のファイル名を指定するとき、ファイルごとに編集モードを指定できる
  ようにした(例:oedit.exe aaa.txt /m cpp bbb.txt /m sql)

ver.5.1.5.0 (2007-07-05)
<機能改善>
・正規表現にパターン修飾子(?i)を追加した

ver.5.1.5.1 (2007-07-20)
<バグ修正>
・選択範囲のソートを実行したとき、異常終了することがある

ver.5.1.5.2 (2007-07-24)
<バグ修正>
・正規表現の検索で、'\S'が改行にマッチしてしまう

ver.5.1.6.0 (2007-08-06)
<機能改善>
・正規表現にkeep pattern(\K)を追加した

ver.5.9.4.2 (Ver.6.0β) (2007-11-05)
<機能改善>
・マクロ(schemeインタプリタ)を実装
  (詳細はmacro_ref.txt, macro_oedit.txtを参照)

ver.5.9.4.4 (Ver.6.0β) (2007-11-09)
<機能改善>
・マクロに以下の手続きを追加
  editor-set-select-area
  editor-get-selected-string-chars
  editor-get-row-string
  editor-delete-selected-string
・schemeインタプリタのメモリ管理の改善

ver.5.9.4.6 (Ver.6.0β) (2007-11-14)
<バグ修正>
・関連付けたファイルをダブルクリックして起動したとき、on-open-fileハンドラで
  エラーが発生する

ver.5.9.4.7 (Ver.6.0β) (2007-11-21)
<バグ修正>
・schemeインタプリタ: garbage collectorのバグ修正

ver.5.9.5.1 (Ver.6.0β) (2007-12-19)
<バグ修正>
・正規表現の置換で、後方参照に2桁以上の番号を指定すると正しく置換できない
・矩形選択時の正規表現の動作が、選択方向によって変わる

ver.5.9.5.2 (Ver.6.0β) (2007-12-25)
<バグ修正>
・cond, macroexpand-1の引数がpairではないとき、異常終了する
・init.scmでcaseのelse部の処理が正しくない

ver.5.9.5.3 (Ver.6.0β) (2007-12-27)
<バグ修正>
・矩形選択範囲をコピーするとき、異常終了したりコピー範囲が選択した範囲より
  狭くなってしまう

ver.5.9.5.4 (Ver.6.0β) (2008-01-08)
<バグ修正>
・schemeインタプリタで、以下のバグを修正
  ガベージコレクタが走るときcall/ccの環境を壊してしまう
  rxmatch-substringの引数に#fを渡すと異常終了する
  改行が"\r\n"のテキストをファイルに書き込むと、"\r\r\n"に変換されてしまう

ver.5.9.6.1 (Ver.6.0β) (2008-01-15)
<機能改善>
・クリップボードにあるテキストをschemeマクロとして実行する機能を追加
  マクロを実行(クリップボード)メニュー
・schemeインタプリタの改善
  editor-get-selected-stringなどで取得するテキストの改行コードを"\n"に変更
  選択範囲の位置を取得する手続き(editor-get-selected-area)を追加
<バグ修正>
・schemeインタプリタで、以下のバグを修正
  condのelse句がpairではないとき、異常終了する
  手続きを返す関数が作成した手続きが、正しく動作しない

ver.5.9.6.2 (Ver.6.0β) (2008-01-16)
<バグ修正>
・ファイル→開くメニューで別のファイルを開くとき、現在のファイルの保存確認
  ダイアログでキャンセルを選択すると異常終了する

ver.5.9.6.3 (Ver.6.0β) (2008-01-21)
<バグ修正>
・選択範囲がある状態でファイル→読みなおすメニューを実行すると、直後の編集
  操作で異常終了することがある
・schemeインタプリタのバグ修正
  oedit.scmで実行するスクリプトで、editor-get-cur-rowなどの関数が参照できない
  write, displayで、"#\あ"などの全角文字を出力できない

ver.5.9.6.4 (Ver.6.0β) (2008-01-23)
<バグ修正>
・schemeインタプリタのバグ修正
  string->regexpに不正な正規表現を渡すと異常終了する

ver.5.9.6.5 (Ver.6.0β) (2008-01-25)
<バグ修正>
・ウィンドウを分割表示した状態で読みなおすを実行すると、スクロールバーの状態が
  正しくなくなる

ver.5.9.7.0 (Ver.6.0β) (2008-01-28)
<機能改善>
・schemeインタプリタに以下の機能を追加
  app-set-keyにコメントを設定できるようにした
  app-get-all-keysを追加
  app-get-command-line-optionを追加
・ドキュメントの誤字修正

ver.5.9.7.1 (Ver.6.0β) (2008-02-01)
<バグ修正>
・矩形選択の範囲にタブが含まれているとき、選択範囲のコピーで異常終了する
<機能改善>
・schemeインタプリタの改善
  editor-get-row-col-charを追加
  editor-get-selected-string-bytes, editor-get-selected-string-charsで、
  現在開いているファイルの改行コードを使用するようにした
  (これまでは常に2バイトで計算していた)
・ドキュメントの誤字修正

ver.5.9.7.2 (Ver.6.0β) (2008-02-05)
<バグ修正>
・正規表現で'\Z'が正しく検索できない
・schemeインタプリタのバグ修正
  - appendに引数を1つだけ指定したとき、動作が不安定になる
  - regexp-replace-allで、'^'が文字列の先頭にしかマッチしない

ver.5.9.7.3 (Ver.6.0β) (2008-02-06)
<機能改善>
・schemeインタプリタの改善
  - オブジェクトシステムの一部(define-class, make, slot-ref, slot-set!)を実装
  - 時間API(sys-time, sys-localtime, sys-strftime)を実装

ver.5.9.7.4 (Ver.6.0β) (2008-02-14)
<機能改善>
・schemeインタプリタの改善
  - カーソル移動、矩形選択指示の手続きを追加

ver.5.9.7.5 (Ver.6.0β) (2008-02-25)
<バグ修正>
・schemeインタプリタのバグ修正
 - hash-table-typeが動作しない
 - hash tableのキーに、charやlistが指定できない

ver.5.9.8.0 (Ver.6.0β) (2008-02-26)
<機能改善>
・編集モードをカスタマイズできるようにした (doc\languages.txtを参照)
・schemeモードを追加
<バグ修正>
・schemeインタプリタのバグ修正
 - string=?を指定したhash tableが正しく動作しない

ver.5.9.9.0 (Ver.6.0β) (2008-02-29)
<機能改善>
・キー割り当て可能なメニューに「選択範囲の文字列で前を検索」を追加
・キー割り当て可能なメニューに「選択範囲を一文字左へ(矩形)」などを追加
<バグ修正>
・キー割り当てダイアログで「範囲選択を一単語左へ」が２つある
・折り返し表示のとき次を検索などの操作で、検索結果が画面内にある場合でも
  スクロールしてしまうことがある
・schemeの定義ファイル(scm.cfg)の同梱忘れ
・次を検索などで選択範囲が移動したとき、on-selection-changedハンドラで
  ステータスバーに出力したテキストが表示されない (一瞬表示されて消える)

ver.6.0.0.0 (2008-03-05)
<バグ修正>
・schemeインタプリタのバグ修正
 - vectorを右辺に持つpairが、writeなどで正しく表示できない

ver.6.0.0.1 (2008-03-10)
<バグ修正>
・schemeインタプリタのバグ修正
 - make-stringの長さに負の数を指定すると、異常終了する

ver.6.0.0.2 (2008-03-21)
<機能改善>
・schemeインタプリタの改善
 - editor-box-select?を追加

ver.6.0.0.3 (2008-03-26)
<バグ修正>
・schemeインタプリタのバグ修正
 - 末尾再帰を使ったループで、ループ数が大きいとメモリ不足になる
 - エディタの改行コードがCRのとき、行コメントが正しく動作しない

ver.6.0.0.4 (2008-03-27)
<バグ修正>
・schemeインタプリタのバグ修正
 - regexp-replaceで、substitutionに手続きを指定したとき、手続きの結果の
   文字列から両端の括弧が消える
 - 末尾再帰ループ内でclosureを実行するとき、スタックを無駄に消費してしまう
 - マクロを多用したとき、ガベージコレクタが頻繁に実行されてしまう

ver.6.0.0.5 (2008-04-01)
<バグ修正>
・schemeインタプリタのバグ修正
 - (define . 3)などで異常終了する

ver.6.0.1.1 (2008-04-03)
<機能改善>
・schemeインタプリタの改善
 - app-input-boxを追加
 - マクロの実行速度を改善

ver.6.0.1.2 (2008-04-08)
<バグ修正>
・schemeインタプリタのバグ修正
 - 引数の数が少ないときfew arguments errorではなく、syntax errorになってしまう

ver.6.0.2.0 (2008-04-17)
<機能改善>
・ダブルクリックで選択開始したときは、単語単位で選択するようにした

ver.6.0.2.2 (2008-04-21)
<バグ修正>
・schemeインタプリタのバグ修正
 - call/ccが正しく動作しない
・タスクバーの右クリックメニューで、アイコンが消えることがある

ver.6.0.2.3 (2008-04-28)
<バグ修正>
・schemeインタプリタのバグ修正
 - (let* loop)で異常終了する

ver.6.0.3.0 (2008-05-07)
<機能改善>
・schemeインタプリタの改善
 - win-execを実装
<バグ修正>
・schemeインタプリタのバグ修正
 - "`#"で始まる表現でベクタ以外を指定するとエラーになる
 - make-vectorに負のサイズを指定すると異常終了する

ver.6.0.3.1 (2008-05-09)
<バグ修正>
・schemeインタプリタのバグ修正
 - 正規表現定数の末尾が"\\"のとき処理できない

ver.6.0.3.2 (2008-05-12)
<バグ修正>
・schemeインタプリタのバグ修正
 - win-execでcommand is too longエラーが発生する

ver.6.0.3.3 (2008-05-20)
<バグ修正>
・schemeインタプリタのバグ修正
 - on-selection-changedハンドラを指定したとき、範囲選択がある状態でUndo操作を
   行うとRedo出来なくなる
 - 矩形選択のときeditor-get-selected-string-charsが返す値が正しくない

ver.6.0.4.0 (2008-05-26)
<機能改善>
・文字サイズを変更するメニューを追加 (表示→文字サイズメニュー)

ver.6.0.4.1 (2008-06-16)
<バグ修正>
・矩形選択範囲に貼り付けるとき、矩形選択範囲の左側の列が揃っていない場合に
  余計な空白が挿入されてしまう
・正規表現検索で、改行直前の文字にもマッチして改行にマッチするとき、改行が
  強調表示されない
・矩形選択で単一行選択のとき、editor-get-selected-string-bytesが返す値が
  正しくない

ver.6.0.4.2 (2008-07-08)
<機能改善>
・app-input-boxで表示されるダイアログのフォントを、等幅フォントに変更
<バグ修正>
・自動インデントで、前後の行の空白・タブの数が一致する場合に正しくインデント
  されない

ver.6.0.4.3 (2008-08-05)
<バグ修正>
・schemeインタプリタのバグ修正
 - editor-set-row-colでカーソルを選択範囲外に移動したあと、editor-paste-string
   を実行すると異常終了する
 - rxmatch-substringなどで、indexの範囲チェックが正しくない

ver.6.0.4.4 (2008-09-01)
<バグ修正>
・schemeインタプリタのバグ修正
 - regexp-replace-allで、^などゼロ幅のマッチのときに置換結果が正しくない
 - caseマクロが内側にスコープを作ってしまう

ver.6.0.4.5 (2008-09-03)
<バグ修正>
・schemeインタプリタのバグ修正
 - regexp-replace-allで、^と\nの組み合わせで正しく動作しない
 - regexp-replace-allで、$が最終行にマッチしない
 - caseマクロで、キーを評価する位置が正しくない

ver.6.0.4.6 (2008-09-04)
<バグ修正>
・正規表現の検索で、'^'で正しく検索できない
・複数行選択時、Tabキーによるインデントが正しく動作しない

ver.6.0.5.1 (2008-10-14)
<バグ修正>
・正規表現の置換で、(.*)がテキスト末尾にヒットしないことがある
・改行コードが"\n"や"\r"のとき、コピーしたテキストをメモ帳に貼り付けると、
  改行がコピーされないことがある

ver.6.9.0.0 (2008-10-16) (Ver.7 beta)
<機能改善>
・内部文字コードをUnicode(UTF16LE)に変更
・プロポーショナルフォントの表示に対応

ver.6.9.0.1 (2008-10-17) (Ver.7 beta)
<バグ修正>
・半角スペース、全角スペース、タブが正しく表示されない

ver.6.9.0.2 (2008-10-20) (Ver.7 beta)
<バグ修正>
・IMEの再変換が動作しない
・ダブルクリックの単語選択で、ひらがな・漢字などが区別されない
・メイリオフォントで、行番号、列番号が正しく表示されない
・横スクロールしたとき、タブがある行が正しく表示されない

ver.6.9.0.3 (2008-10-21) (Ver.7 beta)
<バグ修正>
・改行コードが"\r"のファイルを開くと、応答が無くなることがある
・schemeインタプリタで、ファイルのreadが正しく動作しない

ver.6.9.0.4 (2008-10-24) (Ver.7 beta)
<バグ修正>
・正規表現のチェックをOFFにして検索を実行すると、異常終了することがある

ver.6.9.0.5 (2008-10-30) (Ver.7 beta)
<バグ修正>
・オプションで行間を設定しているとき、キャレットの位置がずれる

ver.6.9.0.6 (2008-11-04) (Ver.7 beta)
<バグ修正>
・正規表現検索で、(?<=(a+))bを指定すると異常終了する

ver.6.9.0.7 (2008-11-17) (Ver.7 beta)
<バグ修正>
・タブを入力したとき、ステータスバーの列数が正しく表示されない

ver.6.9.0.8 (2008-11-21) (Ver.7 beta)
<バグ修正>
・単一行の選択中にマウスカーソルを行番号に移動すると、選択範囲が行末に移動
  してしまう

ver.6.9.0.9 (2008-12-01) (Ver.7 beta)
<バグ修正>
・矩形選択で、現在行の右端を越えて範囲選択できない
・単語選択した後、行番号をクリックして行選択を開始したとき、マウスの位置に
  ある行が選択されない

ver.6.9.1.1 (2008-12-04) (Ver.7 beta)
<バグ修正>
・正規表現の置換で検索文字列に'$'を指定すると、最終行で2重に文字列が挿入
  される
・括弧を強調表示するとき、括弧の中にある文字列内に括弧があるとき、強調表示の
  位置が正しくなくなる

ver.6.9.1.2 (2008-12-05) (Ver.7 beta)
<バグ修正>
・schemeファイルの文字コードがSJISのとき、正しく動作しない

ver.6.9.1.3 (2008-12-10) (Ver.7 beta)
<バグ修正>
・最近使ったファイルリストで、UNICODEファイル名が正しく扱えない
  (oedit_local.iniがSJISの場合、一旦削除するかUNICODEに変換すること)

ver.6.9.1.4 (2008-12-24) (Ver.7 beta)
<バグ修正>
・矩形選択で、選択範囲がマウスカーソルの位置からずれる

ver.6.9.2.2 (2008-12-26) (Ver.7 beta)
<機能改善>
・サロゲートペアの文字の表示に対応

ver.6.9.2.3 (2009-01-06) (Ver.7 beta)
<バグ修正>
・折り返し表示のとき、下矢印キーでカーソルを移動すると、カーソルが行末から移動
  しなくなることがある

ver.7.0.0.0 (2009-01-13)
・Ver.7正式リリース (中身はver.6.9.2.3と同じ)

ver.7.0.0.1 (2009-01-23)
<バグ修正>
・キーボードマクロファイルの読込が動作しない

ver.7.0.0.2 (2009-01-26)
<バグ修正>
・Tabでスペースを挿入する設定のとき、タブ位置が揃わない

ver.7.0.0.3 (2009-02-02)
<バグ修正>
・サロゲートペアの文字を含んだファイルが正しく読み込めないことがある

ver.7.0.0.5 (2009-02-09)
<バグ修正>
・コマンドラインからの起動でファイル名の先頭に'\'が指定された場合、絶対パスと
  認識できない

ver.7.0.0.6 (2009-02-16)
<バグ修正>
・正規表現で、lookbehind assertionの中に3つ以上のor条件が含まれる場合、エラー
  になる

ver.7.0.1.0 (2009-02-25)
<バグ修正>
・マクロを実行(クリップボード)メニューが、正しく動作しない
<機能改善>
・列番号の表示で、線と文字が近すぎないようにした
・SJISファイルの読み込み速度を改善

ver.7.0.2.0 (2009-02-26)
<機能改善>
・編集モードの設定で、行コメントを複数設定できるようにした(最大4つ)
・schemeマクロのイベントハンドラに、on-cursor-movedを追加

ver.7.0.2.1 (2009-02-27)
<バグ修正>
・編集モードを切り替えたとき、全文コメント色になってしまう

ver.7.0.3.0 (2009-03-05)
<機能改善>
・最近使ったファイルの数を0に設定できるようにした(oeditの再起動後に反映)
・編集→矩形貼付メニューを追加
<バグ修正>
・キー割り当てを解除した後、メニュー名に反映されない

ver.7.0.3.1 (2009-03-09)
<バグ修正>
・schemeインタプリタで、substringが正しく動作しない
・ogrepで検索履歴が正しく保存されない (iniファイルをUNICODE対応した)
・編集モードの定義ファイルで、RowComment等にASCII以外の文字を指定すると
  異常終了する

ver.7.0.3.2 (2009-03-10)
<バグ修正>
・タグジャンプ機能で、ファイル名にカッコが含まれている場合に動作しない

ver.7.0.3.3 (2009-03-11)
<バグ修正>
・キーワードファイルにASCII以外の文字を設定すると異常終了することがある

ver.7.0.3.4 (2009-03-13)
<バグ修正>
・schemeインタプリタで、SJISのファイルを読むと文字化けする
・カーソルが点滅しない設定のとき、括弧が反転表示されたままになる
・タグジャンプ機能で、ファイル名の後ろにカッコが含まれている場合に動作しない

ver.7.0.4.0 (2009-03-16)
<機能改善>
・オプションで括弧入力時に反転する時間を設定できるようにした
<バグ修正>
・正規表現で、'\b'が動作しない

ver.7.0.4.1 (2009-03-17)
<バグ修正>
・タグジャンプ機能をタグ以外の場所を実行すると、フリーズする
・正規表現で、'\w'などが動作しない

ver.7.0.5.1 (2009-03-19)
<機能改善>
・schemeインタプリタに以下の関数を追加
  editor-search-string, editor-search-string-ci
  editor-get-caret-col, editor-get-col-from-caret-col
<バグ修正>
・schemeインタプリタで、以下のバグを修正
  editor-set-box-selectが動作しない
  editor-set-select-areaで選択範囲の始点と終点を同じにしたとき、
  次の範囲選択が正しく動作しなくなる
・ogrepの正規表現検索で、'\b'が動作しない

ver.7.0.5.2 (2009-03-23)
<バグ修正>
・右下から左上に矩形選択した後、文字列を貼り付けるとフリーズする
・マウスドラッグでスクロールしながら範囲選択しているとき、ルーラの表示が
  おかしくなる

ver.7.0.5.3 (2009-04-01)
<バグ修正>
・schemeインタプリタで、以下のバグを修正
  editor-search-string/editor-search-string-ciで検索後、次を検索/前を検索が
  動作しない
  editor-get-caret-col/editor-get-col-from-caret-colに無効な位置を指定した
  ときの値が不定になる

ver.7.1.0.1 (2009-05-15)
<機能改善>
・WindowsXPのスタイルに対応
・大きいファイルを開くときの動作速度を改善

ver.7.1.0.2 (2009-06-15)
<バグ修正>
・文字間隔が1以上のとき、全角文字のルーラ位置がずれてしまう

ver.7.1.1.0 (2009-08-18)
<機能改善>
・カレントディレクトリをogrepの検索フォルダに指定できるようにした
  (オプションで設定)

ver.7.1.2.2 (2009-08-27)
<機能改善>
・schemeインタプリタに、app-get-event-handler、app-clear-event-handler、
  sys-statを追加
・schemeインタプリタのイベントハンドラに、on-activate-app, on-file-savedを追加

ver.7.1.2.3 (2009-08-28)
<バグ修正>
・Windows2000で固定幅フォントにしたとき、全角文字の表示がずれる

ver.7.1.2.5 (2009-09-09)
<機能改善>
・schemeマクロに、app-set-timer, app-clear-timerを追加
<バグ修正>
・ウィンドウを分割した状態から、スプリッタを上に移動させて分割解除したとき、
  最終行が表示しきれなくなることがある

ver.7.1.2.6 (2009-09-17)
<バグ修正>
・oedit.scmにapp-set-timerを記述したとき、異常終了する
  (oedit.scmでは、app-set-timerは利用不可)

ver.7.1.2.7 (2009-09-24)
<バグ修正>
・ファイルを開くメニュー(Ctrl+O)で、ファイルを開けない

ver.7.1.2.8 (2009-10-14)
<バグ修正>
・ワードラップが有効のとき、ファイルオープン時に応答がなくなってしまうことがある

ver.7.2.0.0 (2009-11-25)
<機能改善>
・フィルタ機能(検索条件に一致する行を抽出／削除する)を追加
  (検索→フィルタメニュー)

ver.7.3.0.2 (2009-12-11)
<機能改善>
・全画面表示機能 (表示→全画面表示)
<バグ修正>
・折り返し位置に改行を挿入メニューで、異常終了することがある

ver.7.3.0.3 (2009-12-14)
<バグ修正>
・正規表現の検索で、'\l'が動作しない

ver.7.3.2.0 (2009-12-26)
<機能改善>
・オプションに罫線を表示を追加
・フルスクリーンモードのとき、背景画像を指定できるようにした 
・フルスクリーンモードのとき、マウスを動かしていないときはマウスカーソルを
  表示しないようにした

ver.7.3.2.1 (2010-01-18)
<バグ修正>
・行番号を表示する設定のとき、罫線の表示が途中で切れてしまう

ver.7.3.2.2 (2010-01-21)
<バグ修正>
・行間が1以下のとき、スクロール時に罫線が消えてしまう

ver.7.3.3.1 (2010-02-22)
<機能改善>
・行間を大きくしたとき、行の中央付近にテキストが表示されるようにした
<バグ修正>
・ショートカットファイルを複数回ドロップして起動したとき、同じファイルが
  別のウィンドウで表示されてしまう

ver.7.3.3.2 (2010-03-01)
<バグ修正>
・現在行に線を表示する設定のとき、カーソルを上に移動すると線が消えない

ver.7.3.4.0 (2010-03-30)
<機能改善>
・正規表現でRecursive Patterns(?Rなど)を実装
<バグ修正>
・改行コードがCRで終わるファイルを開いたとき、ハングアップする
・漢字コードがUNICODEで、改行より前にCR, LFを含む文字が使われている場合に、
  改行コードの自動判定が正しくできない

ver.7.3.5.0 (2010-04-05)
<機能改善>
・正規表現でバックトラックを行わない量指定子(+)を実装
<バグ修正>
・正規表現でlookbehind assertionの否定(?<!)が正しく動作しないことがある

ver.7.3.6.0 (2010-05-10)
<機能改善>
・正規表現で相対的な後方参照(\g{N})を実装
<バグ修正>
・自動インデントが全角スペースで動作しない

ver.7.3.6.2 (2010-05-20)
<バグ修正>
・正規表現で、エスケープ文字(\)の後にサロゲートペアがある場合に検索できない
・正規表現で、量指定子の前にコメントがある正規表現を扱えない

ver.7.3.7.0 (2010-06-07)
<機能改善>
・正規表現で名前つきキャプチャバッファを実装

ver.7.3.7.3 (2010-06-28)
<機能改善>
・正規表現の条件付き式で、名前つきキャプチャバッファ及び再帰の条件式に対応
<バグ修正>
・正規表現で、'[[=]'などの条件が扱えない
・プロポーショナルフォントのとき、括弧の反転表示の幅が正しくない
・プロポーショナルフォントのとき、列番号の反転表示がずれて表示されてしまう

ver.7.4.0.0 (2010-07-13)
<機能改善>
・フォント設定で、太字および斜体の表示に対応
・正規表現のrecursive patternで、名前付きサブパターンに対応 (\&NAME)
<バグ修正>
・正規表現でrecursive patternの直後に量指定子がある場合、異常終了する
・正規表現のrecursive patternで正しく検索できないことがある

ver.7.4.0.1 (2010-07-15)
<バグ修正>
・14ptなど大き目のフォントサイズにしたとき、必要以上に太く表示される

ver.7.4.1.0 (2010-08-03)
<機能改善>
・文字コードの判定精度を向上
<バグ修正>
・テキスト全体を選択して改行を削除メニューを実行したとき、最終行が残ってしまう

ver.7.4.2.1 (2010-08-09)
<機能改善>
・ファイルダイアログにプレースバーが表示されるようにした
<バグ修正>
・EUCのファイルがSJISに誤認識されやすい問題を修正

ver.7.4.2.2 (2010-08-26)
<バグ修正>
・ウィンドウ分割中にサイズ変更したとき、スクロールバーの範囲が正しくなくなり、
  スクロール時に異常終了することがある

ver.7.4.2.3 (2010-08-31)
<バグ修正>
・正規表現で、\g{-N}の相対参照で存在しない値を指定した場合に異常終了する

ver.7.4.2.4 (2010-09-27)
<機能改善>
・ogrep.exeで前回利用時のウィンドウサイズで起動するようにした
<バグ修正>
・正規表現の検索で、検索文字列が255文字より長い場合に正しく検索できない

ver.7.4.2.6 (2010-10-05)
<バグ修正>
・正規表現を使わない検索で、検索文字列が255文字より長い場合に正しく検索
  できない
・起動後して最初の検索時にテキストを選択していると、前回利用時の正規表現などの
  条件がクリアされてしまう

ver.7.4.2.7 (2010-11-01)
<バグ修正>
・全角のカッコなどを含むEUCファイルが、SJISに誤認識されやすい問題を修正

ver.7.4.3.1 (2010-12-27)
<バグ修正>
・横スクロールした状態で、矩形選択が正しく選択できない
・検索→指定行に移動メニューのニーモニックキー(J)が動作しない
・文字数の少ないUTF8ファイルが、EUCに誤認識されやすい

ver.7.4.3.2 (2011-01-15)
<バグ修正>
・空白のみの行で逆インデント(Shift+Tab)したとき、カーソルが左端に移動する

ver.7.4.3.3 (2011-01-18)
<バグ修正>
・タブでスペースを挿入する設定で、プロポーショナルフォントを使用している場合、
  何も入力できないことがある

ver.7.4.3.4 (2011-02-03)
<バグ修正>
・正規表現で(^\d+)\s(\1)など、()の中に^がある場合、正しく動作しない

ver.7.4.3.5 (2011-02-22)
<バグ修正>
・自動インデントが有効なとき行の途中で改行した場合に、改行後のカーソル位置が
  行の左端になってしまうことがある

ver.7.4.3.6 (2011-02-28)
<バグ修正>
・スマートインデントが有効なとき、'{'を入力するとカーソル位置が移動してしまう

ver.7.4.4.0 (2011-04-25)
<機能改善>
・検索ダイアログ、置換ダイアログのサイズを可変にした

ver.7.4.4.1 (2011-05-18)
<バグ修正>
・ディスプレイの設定でフォントやDPIを大きくした場合に、検索ダイアログや
  置換ダイアログが正しく表示されない
・ogrepで、ウィンドウを最小化した状態で閉じたとき、次回の起動で画面が表示されなくなる

ver.7.4.4.2 (2011-05-20)
<バグ修正>
・検索ダイアログ、置換ダイアログが、正しい大きさで表示されないことがある
・ogrepの初回起動時、ウィンドウサイズが小さく表示されてしまう

ver.7.4.5.0 (2011-08-10)
<機能改善>
・選択範囲を印刷できるようにした
<バグ修正>
・ogrepで、ファイルの種類に指定した文字列が、フォルダ名にも適用されてしまう

ver.7.4.6.1 (2011-09-16)
<機能改善>
・ブラウザで確認メニューにFirefoxを追加
  (Netscapeの設定はその他ブラウザとして残した)

ver.7.4.6.2 (2011-09-20)
<機能改善>
・schemeマクロに、win-get-clipboard-textを追加

ver.7.4.6.3 (2011-09-27)
<機能改善>
・正規表現の文字クラスで，[:upper:][:lower:][:alpha:][:alnum:][:digit:]に対応
・ogrepで、ファイルを開くときの文字コードを指定できるようにした

ver.7.5.0.0 (2011-10-06)
<機能改善>
・UTF16BE(big endian)のファイルの読み書きに対応
<バグ修正>
・schemeマクロを実行したとき、テキストが変更されていない場合でも、タイトルバーに
  編集マーク(*)が付いてしまう

ver.7.5.0.1 (2011-10-07)
<バグ修正>
・UTF8(no sig)がSJISに誤認識されやすい

ver.7.5.1.0 (2011-11-28)
<機能改善>
・正規表現の高速化 (分岐処理の改善)

ver.7.5.1.1 (2011-12-15)
<バグ修正>
・分岐を含む正規表現で異常終了することがある問題を修正

ver.7.5.1.2 (2012-01-31)
<バグ修正>
・タブでスペースを挿入する設定のとき、行末でタブを入力すると必要以上に
  スペースを追加してしまうことがある

ver.7.5.1.4 (2012-04-20)
<バグ修正>
・メールアドレスに'+'が含まれるとき、リンクを正しく表示できない
・schemeマクロのon-activate-appハンドラ内でapp-msg-boxを実行したとき、
  ウィンドウが表示されない

ver.7.5.2.2 (2012-10-18)
<機能改善>
・PageUp/PageDownでカーソル移動するとき、カーソルの画面上の位置を同じ高さに
  保つようにした
・読み直すメニューを実行したとき、on-close-file, on-open-fileイベントが発生
  するようにした
<バグ修正>
・フルスクリーンモードから復帰したとき、横スクロールバーが表示されなくなる
・「検索結果が見つかったとき検索ダイアログを閉じる」設定のとき、「前を検索」で
  ダイアログが閉じない

ver.7.5.2.3 (2012-10-25)
<バグ修正>
・schemeマクロで、継続(call/cc)が複数の値を扱えない

ver.7.5.2.4 (2012-11-02)
<バグ修正>
・行コメントの後に""などがあるとき、カッコの対応が正しく表示されない

ver.7.5.3.0 (2012-11-08)
<機能改善>
・schemeマクロに以下の機能を追加
  quotient(商), modulo(余り)を追加
  let-optionalsのサポート
  lambda式中の:optional指定のサポート

ver.7.5.3.0 (2012-11-13)
<バグ修正>
・schemeマクロで、moduloで引数の片方が負数の場合、計算結果が正しくない

ver.7.5.3.1 (2012-12-18)
<バグ修正>
・ファイルサイズが32KBより大きいとき、文字コードがEUCに誤検出されることがある

ver.7.5.3.4 (2013-01-25)
<機能改善>
・単語単位のカーソル移動で、単語の両端で止まるモードを追加(キー割り当てで設定)
・コピーしたら選択範囲を解除するオプションを追加 (オプションの編集タブで設定)

ver.7.5.3.5 (2013-02-12)
<バグ修正>
・コピーしたら選択範囲を解除する設定のとき、カットが正しく動作しない

ver.7.5.3.7 (2013-10-30)
<バグ修正>
・ファイルの途中に'\0'が含まれているとき、UTF16に誤検出してしまうことがある
・ウィンドウを最小化した状態でon-activate-appイベントが発生したとき、
  ウィンドウが元のサイズに戻ってしまう
  (ただし、on-activate-appイベントハンドラ内でapp-msg-boxを実行する場合は、
   ウィンドウを表示する)

ver.7.5.3.8 (2014-11-27)
<バグ修正>
・schemeのマクロでvectorがpairと誤認識されてしまう

ver.7.5.3.9 (2015-05-07)
<バグ修正>
・schemeのマクロでrxmatch-substringなどがゼロ巾のマッチを正しく扱えない

ver.7.5.4.0 (2015-06-17)
<機能改善>
・schemeマクロのgarbase collectorを改良
  大きなサイズのオブジェクトを頻繁に生成する使い方のとき、garbase collectorの
  実行タイミングを修正し、メモリを回収するようにした

ver.7.5.4.1 (2016-04-18)
<機能改善>
・ワードラップの機能で、全角文字と半角英数字が混在しているとき、全角文字と半角
  英数字の間でワードラップされるようにした

ver.8.0.0.0 (2018-05-28)
<機能改善>
・開発環境をVisual Studio 2017に移行
・全角半角を区別しないで検索・置換できるようにした
<バグ修正>
・行の先頭でIMEの表示がおかしくなることがある問題を修正

ver.8.0.0.2 (2018-12-10)
<バグ修正>
・エディタで1行の長さが4096文字以上あるとき、範囲選択してテキストを削除すると
  異常終了することがある問題を修正
・サロゲートペアの文字を50文字以上連続して入力すると異常終了することがある
  問題を修正

ver.8.0.0.3 (2019-02-12)
<バグ修正>
・指定桁数で折り返し表示にしているとき、折り返しの右端からIMEで入力を開始
  すると変換中の文字が表示されない問題を修正

ver.8.0.0.4 (2019-06-21)
<バグ修正>
・マルチモニター環境でメイン画面以外で利用した後、シングルモニター環境で起動
  すると画面外に表示されてしまう問題を修正

ver.8.1.0.0 (2021-01-09)
<機能改善>
・開発環境をVisual Studio 2019に移行
・ファイル→お気に入りメニューを追加 (よく使うファイルを登録できる)

ver.8.1.0.1 (2020-03-21)
<機能改善>
・コマンドラインから引数に存在しないファイルを指定して起動したとき、
  指定したファイル名で編集開始できるようにした
